#
# spec file for package perl-Net-CIDR
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Net-CIDR
Version:        0.20
Release:        lp152.1.1
%define cpan_name Net-CIDR
Summary:        Manipulate IPv4/IPv6 netblocks in CIDR notation
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MR/MRSAM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The Net::CIDR package contains functions that manipulate lists of IP
netblocks expressed in CIDR notation. The Net::CIDR functions handle both
IPv4 and IPv6 addresses.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README
%license COPYING

%changelog
* Wed Apr 17 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.20
  see /usr/share/doc/packages/perl-Net-CIDR/ChangeLog
  0.20
  2019-04-16  Sam Varshavchik  <mrsam@courier-mta.com>
  * _ipcmp: handle comparison of mixed IPv4 and IPv6-specified
  addresses, allowing cidrlookup() to look up IPv6-mapped IPv4 addresses
  in IPv4 address ranges, and vice versa.
* Wed Jun 13 2018 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Net-CIDR/ChangeLog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Net-CIDR/Changes
  0.15 Thu Feb 16 08:09:45 EST 2012
  - corrected cidrvalidate() to return values according to its
    documentation, in some corner cases.
  0.16 Sat Sep 29 09:29:43 EDT 2012
  - cidrvalidate() corrects octet-shortchanged IPv4 addresses to their
    proper size.
  0.17 Sat Oct 20 23:21:18 EDT 2012
  - version bump, put META back into the tarball.
  0.18 Mon Feb  2 18:12:54 EST 2015
  - leading 0s in IPv6 addresses are ok.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- initial package (0.14)
